Bug 195963 - Let xm save and xm restore work "anywhere" when called by the user
Let xm save and xm restore work "anywhere" when called by the user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 19:28 EDT by James Antill
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 12:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DO local file IO as the calling user for save/restore and have xen just access it's own directories (2.32 KB, patch)
2006-06-19 19:28 EDT, James Antill
no flags Details | Diff

  None (edit)
Description James Antill 2006-06-19 19:28:45 EDT
Description of problem:
 xend isn't allowed to search all directories or write files anywhere, thus "xm
save X Y" can fail depending on where you are (as Y isn't accessible to xend).

How reproducible:
 Always

Steps to Reproduce:
1. xm create foo
2. cd /home/james
3. xm save foo abcd
  
Additional info:

 I've got a patch that does two things:

1. Creates any directories needed, so "xm save foo bar/baz" works if bar needs
to be created.
2. Asks xend to save/restore all files into /var/lib/xen/tmp, and then
moves/copies them to whever the user wants them (and the same for restore).

...one minor nit is that currently always copies the file on restore, which
might be slightly slower if you have a large save file. linking might be enough
here.
Comment 1 James Antill 2006-06-19 19:28:45 EDT
Created attachment 131161 [details]
 DO local file IO as the calling user for save/restore and have xen just access it's own directories
Comment 2 Jeremy Katz 2006-06-19 20:53:57 EDT
Really, it makes far more sense to send things like this upstream so that we're
not carrying local patches.  Can you propose to xen-devel with the appropriate
Signed-off-by line?
Comment 3 Daniel Berrange 2007-03-27 12:36:06 EDT
In upstream XenD there are now two ways to do save & restore

 a) Old style where user specifies a path. In this case it must be under
/var/lib/xen/
 b) New style, user just specifies a domain name & XenD decides where best to
save it.

If you need extra disk space on /var/lib/xen then just --bind mount extra space
in there, or mount another volume. We're not intending to support saving of VMs
to arbitrary locations.

Note You need to log in before you can comment on or make changes to this bug.